// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

// package error code define
package errors

import "gd_adm_data/common.in/jsonrpc2"

var (

	// 通用错误
	SystemError  = jsonrpc2.NewJsonError(10001, "系统错误")
	ServiceError = jsonrpc2.NewJsonError(10002, "内部服务错误")
	ParamsError  = jsonrpc2.NewJsonError(10003, "参数错误")

	BrandNotExistError = jsonrpc2.NewJsonError(11001, "品牌不存在")
	CycleError         = jsonrpc2.NewJsonError(11002, "新增数据里程间隔周期无法匹配")

	FieldNotExistError    = jsonrpc2.NewJsonError(11003, "字段不存在")
	DataNotExistError     = jsonrpc2.NewJsonError(11004, "数据不存在")
	InterfaceNoExistError = jsonrpc2.NewJsonError(11005, "接口不存在")
	CreateIdError         = jsonrpc2.NewJsonError(11006, "导出车型失败，生成导出id失败")
	ExportError           = jsonrpc2.NewJsonError(11006, "导出车型失败，插入导出id失败")
	CreateMsgError        = jsonrpc2.NewJsonError(11006, "导出车型失败，消息生成失败")
	SendMsgError          = jsonrpc2.NewJsonError(11006, "导出车型失败，消息投递失败")
	TimeCalcFailed        = jsonrpc2.NewJsonError(11007, "时间计算错误")
	AnnualRuleError       = jsonrpc2.NewJsonError(11008, "无年检计算规则")
	DataBaseError         = jsonrpc2.NewJsonError(20005, "数据库操作失败")
)
