// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package impl

import (
	"context"
	"gd_adm_data/apis"
	"gd_adm_data/impl/v1/query"

	"gd_adm_data/common.in/task"
)

// 具体实现
type Rcvr struct{}

func (c *Rcvr) Query(ctx context.Context, req *apis.QueryRequest, reply *apis.QueryResponse) error {
	t1 := func() error {
		return query.Query(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}
