package query

import (
	"context"
	"encoding/json"
	"gd_adm_data/apis"
	"gd_adm_data/errors"

	jsoniter "github.com/json-iterator/go"
)

// 补充车辆数据
func U02(ctx context.Context, params string) (reply *apis.QueryResponse, err error) {
	reply = &apis.QueryResponse{}

	reply.Data = params
	reqMap := make(map[string]interface{})
	err = json.Unmarshal([]byte(params), &reqMap)
	if err != nil {
		return reply, errors.ParamsError
	}

	// 补充车辆数据
	supplementData(reqMap)

	reply.Data, _ = jsoniter.MarshalToString(reqMap)

	return reply, nil
}
